"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _AspectRatio = _interopRequireDefault(require("./AspectRatio.web"));

var _Config = _interopRequireDefault(require("./Config"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Image = _ref => {
  let {
    source = _Config.default.placeholderImageURL,
    style,
    resizeMode = "cover",
    ...props
  } = _ref;

  if (style && _reactNative.StyleSheet.flatten(style).aspectRatio) {
    return /*#__PURE__*/_react.default.createElement(_AspectRatio.default, {
      style: style
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
      style: [style, {
        height: "100%",
        width: "100%"
      }],
      source: source,
      resizeMode: resizeMode
    }));
  }

  return /*#__PURE__*/_react.default.createElement(_reactNative.Image, _extends({
    source: source
  }, props));
};

var _default = Image;
exports.default = _default;
//# sourceMappingURL=Image.web.js.map