"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.SEED_DATA = void 0;

var React = _interopRequireWildcard(require("react"));

var _theming = require("../core/theming");

var _componentTypes = require("../core/component-types");

var _Config = _interopRequireDefault(require("./Config"));

var _IconButton = _interopRequireDefault(require("./IconButton"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const RadioButton = _ref => {
  let {
    selected,
    disabled = false,
    color = "#5a45ff",
    unselectedColor,
    onPress = () => {},
    style
  } = _ref;
  return /*#__PURE__*/React.createElement(_IconButton.default, {
    style: style,
    icon: selected ? "MaterialIcons/radio-button-checked" : "MaterialIcons/radio-button-unchecked",
    color: selected ? color : unselectedColor,
    disabled: disabled,
    onPress: () => onPress(),
    size: _Config.default.radioButtonSize
  });
};

var _default = (0, _theming.withTheme)(RadioButton);

exports.default = _default;
const SEED_DATA = {
  name: "Radio Button",
  tag: "RadioButton",
  category: _componentTypes.COMPONENT_TYPES.input,
  preview_image_url: "{CLOUDINARY_URL}/Control_Radio.png",
  props: {
    selected: {
      group: _componentTypes.GROUPS.data,
      label: "Selected",
      description: "Whether the radio button is selected",
      required: true,
      editable: true,
      defaultValue: true,
      formType: _componentTypes.FORM_TYPES.boolean
    },
    color: {
      group: _componentTypes.GROUPS.basic,
      label: "Color",
      description: "Color for the button",
      required: false,
      editable: true,
      defaultValue: "primary",
      formType: _componentTypes.FORM_TYPES.color
    },
    unselectedColor: {
      group: _componentTypes.GROUPS.basic,
      label: "Unselected Color",
      description: "Unselected Color for the button",
      required: false,
      editable: true,
      defaultValue: "secondary",
      formType: _componentTypes.FORM_TYPES.color
    },
    disabled: {
      group: _componentTypes.GROUPS.data,
      label: "Disabled",
      description: "Whether radio button is disabled",
      editable: true,
      required: false,
      defaultValue: null,
      formType: _componentTypes.FORM_TYPES.boolean
    }
  },
  layout: {
    width: 24,
    height: 24
  }
};
exports.SEED_DATA = SEED_DATA;
//# sourceMappingURL=RadioButton.js.map