"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _Text = _interopRequireDefault(require("./Text"));

var _RadioButtonFieldRow = _interopRequireDefault(require("./RadioButtonFieldRow"));

var _Divider = _interopRequireDefault(require("./Divider"));

var _theming = require("../core/theming");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const RadioButtonFieldGroup = _ref => {
  let {
    options,
    label,
    onSelect = () => {},
    value,
    radioButtonColor,
    labelColor,
    backgroundColor,
    style,
    labelStyle,
    itemStyle,
    itemLabelStyle,
    itemBackgroundColor,
    theme
  } = _ref;
  const [selected, setSelected] = (0, _react.useState)("");
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [{
      backgroundColor: backgroundColor ? theme.colors[backgroundColor] : undefined
    }, style]
  }, /*#__PURE__*/_react.default.createElement(_Text.default, {
    style: [{
      fontSize: theme.typography.headline4.fontSize,
      color: theme.typography.headline4.color
    }, labelStyle]
  }, label), options.map(item => {
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      key: item.key
    }, /*#__PURE__*/_react.default.createElement(_RadioButtonFieldRow.default, {
      style: [itemStyle],
      labelStyle: [itemLabelStyle],
      selected: value ? value === item.value : selected === item.value,
      label: item.value,
      radioButtonColor: radioButtonColor,
      labelColor: labelColor,
      backgroundColor: itemBackgroundColor,
      onPress: () => {
        if (selected !== item.value) {
          setSelected(item.value);
          onSelect(item.value);
        }
      }
    }), /*#__PURE__*/_react.default.createElement(_Divider.default, null));
  }));
};

var _default = (0, _theming.withTheme)(RadioButtonFieldGroup);

exports.default = _default;
//# sourceMappingURL=RadioButtonFieldGroup.js.map