"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.SEED_DATA = void 0;

var React = _interopRequireWildcard(require("react"));

var _theming = require("../core/theming");

var _componentTypes = require("../core/component-types");

var _Row = _interopRequireDefault(require("./Row"));

var _Checkbox = _interopRequireDefault(require("./Checkbox"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const RowBodyCheckbox = _ref => {
  let {
    title,
    subtitle,
    style,
    status = "unchecked",
    onPress = () => {},
    color,
    theme: {
      colors,
      typography
    }
  } = _ref;
  return /*#__PURE__*/React.createElement(_Row.default, {
    titleTypeStyle: typography.body1,
    titleColor: colors.medium,
    subtitleTypeStyle: typography.subtitle2,
    subtitleColor: colors.light,
    title: title,
    subtitle: subtitle,
    right: () => /*#__PURE__*/React.createElement(_Checkbox.default, {
      status: status,
      color: color,
      onPress: onPress
    }),
    style: style
  });
};

var _default = (0, _theming.withTheme)(RowBodyCheckbox);

exports.default = _default;
const SEED_DATA = [{
  name: "Row Single Line Body Checkbox",
  tag: "RowBodyCheckbox",
  description: "A row with left aligned body text and a right aligned checkbox",
  preview_image_url: "{CLOUDINARY_URL}/Row_SingleLine_BodyCheckbox.png",
  category: _componentTypes.COMPONENT_TYPES.deprecated,
  supports_list_render: true,
  props: {
    title: {
      label: "Title",
      description: "Text to display",
      formType: _componentTypes.FORM_TYPES.string,
      defaultValue: "Beautiful West Coast Villa",
      editable: true
    },
    color: {
      label: "Checkbox color",
      description: "Custom color for Checkbox",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.color
    },
    fieldName: { ..._componentTypes.FIELD_NAME,
      defaultValue: "checkboxValue",
      valuePropName: "status",
      handlerPropName: "onPress"
    }
  },
  layout: {}
}, {
  name: "Row Double Line Body Checkbox",
  tag: "RowBodyCheckbox",
  description: "A row with left aligned body text and subtitle text and a right aligned checkbox",
  category: _componentTypes.COMPONENT_TYPES.deprecated,
  preview_image_url: "{CLOUDINARY_URL}/Row_DoubleLine_BodyCheckbox.png",
  supports_list_render: true,
  props: {
    title: {
      label: "Title",
      description: "Text to display",
      formType: _componentTypes.FORM_TYPES.string,
      defaultValue: "Beautiful West Coast Villa",
      editable: true
    },
    subtitle: {
      label: "Subtitle",
      description: "Subtitle text to display",
      formType: _componentTypes.FORM_TYPES.string,
      defaultValue: "San Diego",
      editable: true
    },
    color: {
      label: "Color",
      description: "Custom color for Checkbox",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.color
    },
    fieldName: { ..._componentTypes.FIELD_NAME,
      defaultValue: "checkboxValue",
      valuePropName: "status",
      handlerPropName: "onPress"
    }
  },
  layout: {}
}];
exports.SEED_DATA = SEED_DATA;
//# sourceMappingURL=RowBodyCheckbox.js.map