"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.SEED_DATA = void 0;

var React = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _theming = require("../core/theming");

var _componentTypes = require("../core/component-types");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Switch = _ref => {
  let {
    value,
    disabled,
    onValueChange,
    color,
    theme,
    style,
    ...props
  } = _ref;
  let thumbColor;
  let checkedColor = color || theme.colors.primary;

  if (_reactNative.Platform.OS !== "ios") {
    thumbColor = theme.colors.surface;
  }

  return /*#__PURE__*/React.createElement(_reactNative.Switch, _extends({}, props, {
    value: value,
    disabled: disabled,
    trackColor: {
      false: "",
      true: checkedColor
    } //@ts-ignore
    ,
    activeTrackColor: checkedColor,
    activeThumbColor: thumbColor,
    thumbColor: thumbColor,
    onValueChange: disabled ? undefined : onValueChange,
    style: [{
      opacity: disabled && _reactNative.Platform.OS !== "ios" ? theme.disabledOpacity : 1
    }, style]
  }));
};

var _default = (0, _theming.withTheme)(Switch);

exports.default = _default;
const SEED_DATA = {
  name: "Switch",
  tag: "Switch",
  category: _componentTypes.COMPONENT_TYPES.input,
  preview_image_url: "{CLOUDINARY_URL}/Control_Toggle.png",
  props: {
    disabled: {
      group: _componentTypes.GROUPS.data,
      label: "Disabled",
      description: "Boolean to handle disabling the switch",
      required: false,
      editable: true,
      defaultValue: false,
      formType: _componentTypes.FORM_TYPES.boolean,
      propType: _componentTypes.PROP_TYPES.BOOLEAN
    },
    color: {
      group: _componentTypes.GROUPS.basic,
      label: "Color",
      description: "Custom color for switch",
      editable: true,
      defaultValue: null,
      required: false,
      formType: _componentTypes.FORM_TYPES.color,
      propType: _componentTypes.PROP_TYPES.STRING
    },
    fieldName: { ..._componentTypes.FIELD_NAME,
      defaultValue: "switchValue",
      handlerPropName: "onValueChange"
    }
  },
  layout: {}
};
exports.SEED_DATA = SEED_DATA;
//# sourceMappingURL=Switch.js.map