"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.SEED_DATA = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _componentTypes = require("../core/component-types");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class _default extends _react.default.Component {
  render() {
    const {
      children,
      ...props
    } = this.props;
    return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, props, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, children));
  }

}

exports.default = _default;
const SEED_DATA = {
  name: "Touchable",
  tag: "Touchable",
  description: "Provides a way to capture tapping gestures, and displays feedback when a gesture is recognized",
  category: _componentTypes.COMPONENT_TYPES.input,
  supports_list_render: false,
  layout: {},
  props: {
    onPress: {
      group: _componentTypes.GROUPS.basic,
      label: "Action",
      description: "Action to execute when touchable pressed",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.action,
      defaultValue: null
    },
    hitSlop: {
      group: _componentTypes.GROUPS.advanced,
      label: "Hit Slop",
      description: "Makes the Touchable easier to press by expanding the touchable area a specified number of points, without having to change the layout of the Touchable (e.g. by adding padding)",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.position,
      defaultValue: null
    }
  }
};
exports.SEED_DATA = SEED_DATA;
//# sourceMappingURL=Touchable.js.map