function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import * as React from "react";
import { View } from "react-native";
import Icon from "./Icon";
import Touchable from "./Touchable";
import { withTheme } from "../core/theming";

const CheckboxIOS = _ref => {
  let {
    status = "unchecked",
    disabled = false,
    onPress = () => {},
    theme,
    color,
    style,
    ...rest
  } = _ref;
  const indeterminate = status === "indeterminate";
  const checkedColor = color || theme.colors.primary;
  const icon = indeterminate ? "MaterialIcons/remove" : "MaterialIcons/done";
  return /*#__PURE__*/React.createElement(Touchable, _extends({}, rest, {
    onPress: onPress,
    disabled: disabled,
    accessibilityTraits: disabled ? ["button", "disabled"] : "button",
    accessibilityComponentType: "button",
    accessibilityRole: "button",
    accessibilityState: {
      disabled
    },
    accessibilityLiveRegion: "polite",
    style: [{
      borderRadius: 2,
      width: 25,
      height: 25,
      backgroundColor: status === "unchecked" ? theme.colors.surface : checkedColor,
      borderColor: theme.colors.light,
      borderWidth: status === "unchecked" ? 2 : 0,
      opacity: disabled ? theme.disabledOpacity : 1
    }, style]
  }), /*#__PURE__*/React.createElement(View, {
    style: {
      opacity: indeterminate || disabled ? theme.disabledOpacity : 1
    }
  }, /*#__PURE__*/React.createElement(Icon, {
    name: icon,
    size: 24,
    color: theme.colors.surface
  })));
};

export default withTheme(CheckboxIOS);
//# sourceMappingURL=CheckboxIOS.js.map