import React from "react";
import { Platform } from "react-native";
import DateTimePicker from "@react-native-community/datetimepicker";

const DatePickerComponent = _ref => {
  let {
    value,
    onChange,
    mode,
    toggleVisibility,
    textColor = "#111"
  } = _ref;
  return /*#__PURE__*/React.createElement(DateTimePicker, {
    value: value,
    mode: mode,
    onChange: (_event, data) => {
      Platform.OS === "ios" ? null : toggleVisibility();
      onChange(null, data);
    },
    display: Platform.OS === "ios" ? "spinner" : "default",
    textColor: textColor
  });
};

export default DatePickerComponent;
//# sourceMappingURL=DatePickerComponent.js.map