function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import { Image as NativeImage, StyleSheet } from "react-native";
import AspectRatio from "./AspectRatio.web";
import Config from "./Config";

const Image = _ref => {
  let {
    source = Config.placeholderImageURL,
    style,
    resizeMode = "cover",
    ...props
  } = _ref;

  if (style && StyleSheet.flatten(style).aspectRatio) {
    return /*#__PURE__*/React.createElement(AspectRatio, {
      style: style
    }, /*#__PURE__*/React.createElement(NativeImage, {
      style: [style, {
        height: "100%",
        width: "100%"
      }],
      source: source,
      resizeMode: resizeMode
    }));
  }

  return /*#__PURE__*/React.createElement(NativeImage, _extends({
    source: source
  }, props));
};

export default Image;
//# sourceMappingURL=Image.web.js.map