function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import * as React from "react";
import { Switch as NativeSwitch, Platform } from "react-native";
import { withTheme } from "../core/theming";
import { GROUPS, PROP_TYPES, COMPONENT_TYPES, FORM_TYPES, FIELD_NAME } from "../core/component-types";

const Switch = _ref => {
  let {
    value,
    disabled,
    onValueChange,
    color,
    theme,
    style,
    ...props
  } = _ref;
  let thumbColor;
  let checkedColor = color || theme.colors.primary;

  if (Platform.OS !== "ios") {
    thumbColor = theme.colors.surface;
  }

  return /*#__PURE__*/React.createElement(NativeSwitch, _extends({}, props, {
    value: value,
    disabled: disabled,
    trackColor: {
      false: "",
      true: checkedColor
    } //@ts-ignore
    ,
    activeTrackColor: checkedColor,
    activeThumbColor: thumbColor,
    thumbColor: thumbColor,
    onValueChange: disabled ? undefined : onValueChange,
    style: [{
      opacity: disabled && Platform.OS !== "ios" ? theme.disabledOpacity : 1
    }, style]
  }));
};

export default withTheme(Switch);
export const SEED_DATA = {
  name: "Switch",
  tag: "Switch",
  category: COMPONENT_TYPES.input,
  preview_image_url: "{CLOUDINARY_URL}/Control_Toggle.png",
  props: {
    disabled: {
      group: GROUPS.data,
      label: "Disabled",
      description: "Boolean to handle disabling the switch",
      required: false,
      editable: true,
      defaultValue: false,
      formType: FORM_TYPES.boolean,
      propType: PROP_TYPES.BOOLEAN
    },
    color: {
      group: GROUPS.basic,
      label: "Color",
      description: "Custom color for switch",
      editable: true,
      defaultValue: null,
      required: false,
      formType: FORM_TYPES.color,
      propType: PROP_TYPES.STRING
    },
    fieldName: { ...FIELD_NAME,
      defaultValue: "switchValue",
      handlerPropName: "onValueChange"
    }
  },
  layout: {}
};
//# sourceMappingURL=Switch.js.map